From e88432024a2c19db32773c1ab496d37660edef54 Mon Sep 17 00:00:00 2001
From: Jerome Glisse <jglisse@redhat.com>
Date: Fri, 20 Jul 2012 09:45:08 -0400
Subject: [PATCH] drm/radeon: don't unreference a possibly invalid pointer

After drm_gem_object_unreference_unlocked robj might be invalid.
So avoid unreferencing it.

Signed-off-by: Jerome Glisse <jglisse@redhat.com>
---
 drivers/gpu/drm/radeon/radeon_gem.c |    2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/gpu/drm/radeon/radeon_gem.c b/drivers/gpu/drm/radeon/radeon_gem.c
index 84d0452..0e8f7e8 100644
--- a/drivers/gpu/drm/radeon/radeon_gem.c
+++ b/drivers/gpu/drm/radeon/radeon_gem.c
@@ -266,7 +266,7 @@ int radeon_gem_set_domain_ioctl(struct drm_device *dev, void *data,
 
 	drm_gem_object_unreference_unlocked(gobj);
 	up_read(&rdev->exclusive_lock);
-	r = radeon_gem_handle_lockup(robj->rdev, r);
+	r = radeon_gem_handle_lockup(rdev, r);
 	return r;
 }
 
-- 
1.7.10.4

